#import "../../Fragments/System.graphql"

#import "../../Fragments/Blocks/CardsGrid.graphql"
#import "../../Fragments/Blocks/Content.graphql"
#import "../../Fragments/Blocks/DynamicContent.graphql"
#import "../../Fragments/Blocks/Shortcuts.graphql"

#import "../../Fragments/Sidebar/Content.graphql"
#import "../../Fragments/Sidebar/DynamicContent.graphql"
#import "../../Fragments/Sidebar/JoinLoyaltyContact.graphql"

query GetLoyaltyPage($locale: String!, $uid: String!) {
  loyalty_page(uid: $uid, locale: $locale) {
    heading
    hero_image
    preamble
    title
    blocks {
      __typename
      ...CardsGrid_LoyaltyPage
      ...Content_LoyaltyPage
      ...DynamicContent_LoyaltyPage
      ...Shortcuts_LoyaltyPage
    }
    sidebar {
      __typename
      ...ContentSidebar_LoyaltyPage
      ...DynamicContentSidebar_LoyaltyPage
      ...JoinLoyaltyContactSidebar_LoyaltyPage
    }
    system {
      ...System
      created_at
      updated_at
    }
  }
}

query GetLoyaltyPageRefs($locale: String!, $uid: String!) {
  loyalty_page(locale: $locale, uid: $uid) {
    blocks {
      __typename
      ...CardsGrid_LoyaltyPageRefs
      ...Content_LoyaltyPageRefs
      ...DynamicContent_LoyaltyPageRefs
      ...Shortcuts_LoyaltyPageRefs
    }
    sidebar {
      __typename
      ...ContentSidebar_LoyaltyPageRefs
      ...JoinLoyaltyContactSidebar_LoyaltyPageRefs
    }
    system {
      ...System
    }
  }
}

query GetDaDeEnUrlsLoyaltyPage($uid: String!) {
  de: loyalty_page(locale: "de", uid: $uid) {
    web {
      original_url
    }
    url
  }
  en: loyalty_page(locale: "en", uid: $uid) {
    web {
      original_url
    }
    url
  }
  da: loyalty_page(locale: "da", uid: $uid) {
    web {
      original_url
    }
    url
  }
}

query GetFiNoSvUrlsLoyaltyPage($uid: String!) {
  sv: loyalty_page(locale: "sv", uid: $uid) {
    web {
      original_url
    }
    url
  }
  no: loyalty_page(locale: "no", uid: $uid) {
    web {
      original_url
    }
    url
  }
  fi: loyalty_page(locale: "fi", uid: $uid) {
    web {
      original_url
    }
    url
  }
}
